Page MenuHomePhabricator

MachineRegisterInfo: Remove UsedPhysReg infrastructure
ClosedPublic

Authored by MatzeB on Jul 2 2015, 2:53 PM.

Details

Summary

We have a detailed def/use lists for every physical register in
MachineRegisterInfo anyway, so there is little use in maintaining an
additional bitset of which ones are used.

Removing it frees us from extra book keeping. This simplifies
VirtRegMap.

This depends on: http://reviews.llvm.org/D10909 http://reviews.llvm.org/D10910

Diff Detail

Repository
rL LLVM

Event Timeline

MatzeB updated this revision to Diff 28979.Jul 2 2015, 2:53 PM
MatzeB retitled this revision from to MachineRegisterInfo: Remove UsedPhysReg infrastructure.
MatzeB updated this object.
MatzeB added reviewers: qcolombet, atrick.
MatzeB set the repository for this revision to rL LLVM.
MatzeB added a subscriber: llvm-commits.

Very nice! Should those reg_empty calls be reg_nodbg_empty?

MatzeB updated this revision to Diff 29109.Jul 6 2015, 11:15 AM

Thanks for the review. Updated patch is attached.

stoklund accepted this revision.Jul 13 2015, 8:25 PM
stoklund added a reviewer: stoklund.
This revision is now accepted and ready to land.Jul 13 2015, 8:25 PM
This revision was automatically updated to reflect the committed changes.